circos 安装失败?

杨子江 发布于 2012/04/24 15:26
阅读 1K+
收藏 0

Circos 安装时,不少人遇到一些 perl 相关的 以及 GD库相关的错误信息,导致不能快速尝试circos,笔者简单列举如下:

 

1 circos是一个perl开发的开源软件,使用了较多的perl第三方模块,官方给出的清单包括:

Config::General (v2.50 or later)
GD
GD::Polyline
List::MoreUtils
Math::Bezier
Math::Round
Math::VecStat
Params::Validate
Readonly
Regexp::Common
Set::IntSpan (v1.16 or later)
Text::Format

 

在 linux 和 mac上 你还可以使用circos自带的 ./list.modules 和 ./test.modules 脚本去检查自己的模块是否OK,但这个结果仅供参考。

而windows上,只好 直接执行 perl bin\circos --help 看是否会有错误 。


2 安装 circos 的前提是,perl ,以及与该 perl 版本匹配的 circos 需要的第三方库;这些库中,GD库比较特殊,必须本地编译,或者从完全相同的系统拷贝过来才可以;其他库则可以直接从CPAN搜索下载。

3 GD库的安装,比较麻烦,涉及系统的一些相关的C库,而且版本相互兼容比较麻烦。 circos小组和Q群 171307056 里都有这方面的资料可参考: http://www.douban.com/group/circos/  

加载中
OSCHINA
登录后可查看更多优质内容
返回顶部
顶部